﻿<link href="/assets/plugins/select2/css/select2.min.css" rel="stylesheet" type="text/css" />
<link href="/assets/plugins/select2/css/select2-bootstrap4.min.css" rel="stylesheet" type="text/css" />

<!-- <script src="~/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="~/assets/plugins/jquery-validation/additional-methods.min.js"></script> -->
<script src="~/assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
<script src="~/assets/plugins/jquery-inputmask/jquery.input-ip-address-control-1.0.min.js" type="text/javascript"></script>
<script src="~/js/sweetalert.min.js"></script>
<script src="/assets/plugins/select2/js/select2.full.min.js" type="text/javascript"></script>

<!-- Plugin Search Select2: sử dụng class select2me vào thẻ <select> -->
<script type="text/javascript">
    $(document).ready(function () {
        $('.select2me').each(function () {
            $(this).select2({
                theme: 'bootstrap4',
                width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
                placeholder: $(this).data('placeholder'),
                allowClear: Boolean($(this).data('allow-clear')),
                closeOnSelect: !$(this).attr('multiple'),
            });
        });
    });
</script>

<script type="text/javascript">

    //$("#Mui1_NgayTiem").inputmask("d/m/y", {
    //    placeholder: "__/__/____"
    //});
    //$("#Mui2_NgayTiem").inputmask("d/m/y", {
    //    placeholder: "__/__/____"
    //});
    function delay(fn, ms) {
        let timer = 0
        return function (...args) {
            clearTimeout(timer)
            timer = setTimeout(fn.bind(this, ...args), ms || 0)
        }
    }

    $("#txt_ngaysinh").keyup(delay(function () {
        let _value = $(this).val();
        let arr = [];
        if (_value) {
            arr = _value.split("/");
            console.log(arr);
            console.log(arr.length);
            if (arr.length === 3) {
                $("#NgayS").val(arr[0]);
                $("#ThangS").val(arr[1]);
                $("#NamS").val(arr[2]);
            } else {
                alert('Vui lòng nhập định dạng dd/mm/yyyy');
            }
        } else {
            $("#NgayS").val('');
            $("#ThangS").val('');
            $("#NamS").val('');
        }
    }, 500));

    $("#DiaChi").keyup(delay(function () {
        let _value = $(this).val();
        let arr = [];
        let _thanh_Pho = "";
        let _quan_huyen = "";
        let _phuong_xa = "";
        let _flag_MaTinh = false;
        let _flag_MaQuan = false;

        if (_value) {
            arr = _value.split(",");
            console.log(arr);
            let count_arr = arr.length;
            if (count_arr >= 3) {
                let _thanh_pho_temp = arr[count_arr - 1].trim();
                let _quan_huyen_temp = arr[count_arr - 2].trim();
                let _phuong_xa_temp = arr[count_arr - 3].trim();
                _thanh_Pho = _thanh_pho_temp.toLowerCase().search("hcm") > -1 ? "Hồ Chí Minh" : _thanh_pho_temp;
                _quan_huyen = _quan_huyen_temp;
                if (_quan_huyen_temp.toLowerCase().search('q1') > -1) {
                    _quan_huyen = "Quận 1";
                } else if (_quan_huyen_temp.toLowerCase().search('q2') > -1) {
                    _quan_huyen = "Thủ Đức";
                } else if (_quan_huyen_temp.toLowerCase().search('quận 2') > -1) {
                    _quan_huyen = "Thủ Đức";
                } else if (_quan_huyen_temp.toLowerCase().search('q3') > -1) {
                    _quan_huyen = "Quận 3";
                } else if (_quan_huyen_temp.toLowerCase().search('q4') > -1) {
                    _quan_huyen = "Quận 4";
                } else if (_quan_huyen_temp.toLowerCase().search('q5') > -1) {
                    _quan_huyen = "Quận 5";
                } else if (_quan_huyen_temp.toLowerCase().search('q6') > -1) {
                    _quan_huyen = "Quận 6";
                } else if (_quan_huyen_temp.toLowerCase().search('q7') > -1) {
                    _quan_huyen = "Quận 7";
                } else if (_quan_huyen_temp.toLowerCase().search('q8') > -1) {
                    _quan_huyen = "Quận 8";
                } else if (_quan_huyen_temp.toLowerCase().search('q9') > -1) {
                    _quan_huyen = "Thủ Đức";
                } else if (_quan_huyen_temp.toLowerCase().search('quận 9') > -1) {
                    _quan_huyen = "Thủ Đức";
                } else if (_quan_huyen_temp.toLowerCase().search('q10') > -1) {
                    _quan_huyen = "Quận 10";
                } else if (_quan_huyen_temp.toLowerCase().search('q11') > -1) {
                    _quan_huyen = "Quận 11";
                } else if (_quan_huyen_temp.toLowerCase().search('q12') > -1) {
                    _quan_huyen = "Quận 12";
                } else {
                    _quan_huyen = _quan_huyen_temp;
                }
                //console.log(_quan_huyen);

                if (_phuong_xa_temp.toLowerCase().search('p. ') > -1) {
                    _phuong_xa = _phuong_xa_temp.replace('p. ', '');
                } else if (_phuong_xa_temp.toLowerCase().search('p.') > -1) {
                    _phuong_xa = _phuong_xa_temp.replace('p.', '');
                } else if (_phuong_xa_temp.toLowerCase().search('p ') > -1) {
                    _phuong_xa = _phuong_xa_temp.replace('p ', '');
                } else {
                    _phuong_xa = _phuong_xa_temp;
                }
                _phuong_xa = _phuong_xa.replace('P.', '');
                _phuong_xa = _phuong_xa.replace('P ', '');
                _phuong_xa = _phuong_xa.replace('p.', '');
                _phuong_xa = _phuong_xa.replace('p ', '');
                console.log(1111, _phuong_xa);

                let list_option_MaTinh = $("#MaTinh").children();
                //console.log(list_option_MaTinh.length, list_option_MaTinh);
                for (var i = 0; i < list_option_MaTinh.length; i++) {
                    let item = list_option_MaTinh[i];
                    if ($(item).html().toLowerCase().search(_thanh_Pho.toLowerCase()) > -1) {
                        //$(item).prop("checked", true);
                        $("#MaTinh").val($(item).attr('value')).trigger('change');
                        //console.log(item);
                        _flag_MaTinh = true;
                        break;
                    }
                };

                setTimeout(function () {
                    if (_flag_MaTinh) {
                        console.log("ok", _quan_huyen);
                        let list_option_QuanHuyen = $("#MaQuan").children();
                        //console.log(list_option_QuanHuyen);
                        for (var i = 0; i < list_option_QuanHuyen.length; i++) {
                            let item = list_option_QuanHuyen[i];
                            //console.log($(item).html().toLowerCase() + "<=>" + _quan_huyen.toLowerCase());
                            if ($(item).html().toLowerCase().search(_quan_huyen.toLowerCase()) > -1) {
                                //console.log(item);
                                //$(item).prop("checked", true);
                                $("#MaQuan").val($(item).attr('value')).trigger('change');
                                
                                _flag_MaQuan = true;
                                break;
                            }
                        };
                    }
                }, 500);

                setTimeout(function () {
                    if (_flag_MaQuan) {
                        console.log("ok", _phuong_xa);
                        let list_option_PhuongXa = $("#MaPhuong").children();
                        //console.log(list_option_QuanHuyen);
                        for (var i = 0; i < list_option_PhuongXa.length; i++) {
                            let item = list_option_PhuongXa[i];
                            //console.log($(item).html().toLowerCase() + "<=>" + _quan_huyen.toLowerCase());
                            if ($(item).html().toLowerCase().search(_phuong_xa.toLowerCase()) > -1) {
                                //console.log(item);
                                //$(item).prop("checked", true);
                                $("#MaPhuong").val($(item).attr('value')).trigger('change');

                                break;
                            }
                        };
                    }
                }, 1000);
                
            }
        } else {
            $("#MaQuan").val("-1").trigger('change');
            $("#MaPhuong").val("-1").trigger('change');
        }
    }, 1000));
</script>

<script type="text/javascript">
    /*------------------Form Validation-----------------*/
    /*Example starter JavaScript for disabling form submissions if there are invalid fields*/
    window.addEventListener('load', function () {
        /* Thông tin tài khoản */
        var form_account = document.getElementsByClassName('Form_Create_NhanVien');
        var validation = Array.prototype.filter.call(form_account, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

    }, false);

    function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }
</script>


<script>

    $(document).ready(function () {

        $(".editStaff").delegate('#MaTinh', 'change', function () {
            var MaTinh = $('#MaTinh').val();
            console.log(MaTinh);
            if (MaTinh != null && MaTinh != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllDistrictByProvice", "ThemNhanVien")',
                    data: { MaTinh: MaTinh },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaQuan').empty();
                        $('#MaPhuong').empty();
                        $('#MaToKhuPho').empty();
                        $('#MaPhuong').append("<option value='-1'>Chọn Phường/Xã</option>");
                        $('#MaToKhuPho').append("<option value='-1'>Chọn Tổ/Khu Phố</option>");
                        $('#MaQuan').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $(".editStaff").delegate('#MaQuan', 'change', function () {
            var MaQuan = $('#MaQuan').val();
            console.log(MaQuan);
            if (MaQuan != null && MaQuan != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllWardByDistrict", "ThemNhanVien")',
                    data: { MaQuan: MaQuan },
                    dataType: 'text',
                    success: function (data) {
                        $('#MaPhuong').empty();
                        $('#MaPhuong').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $(".editStaff").delegate('#DonViChiTiet', 'change', function () {
            var DonViChiTiet = $('#DonViChiTiet').val();
            console.log(DonViChiTiet);
            if (DonViChiTiet != null && DonViChiTiet != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllBoPhanByDonViChiTietId", "ThemNhanVien")',
                    data: { DonViChiTiet: DonViChiTiet },
                    dataType: 'text',
                    success: function (data) {
                        $('#BoPhanId').empty();
                        $('#BoPhanId').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
        $(".editStaff").delegate('#MaPhuong', 'change', function () {
            var MaPhuong = $('#MaPhuong').val();
            console.log(MaPhuong);
            if (MaPhuong != null && MaPhuong != "") {
                $.ajax({
                    type: "Post",
                    url: '@Url.Action("GetAllToKhuPhoByWard", "ThemNhanVien")',
                    data: { MaPhuong: MaPhuong },
                    dataType: 'text',
                    success: function (data) {
                        $('#Ma_ToKhuPho').empty();
                        $('#Ma_ToKhuPho').append(data);
                    },
                    error: function (e) {
                        swal({
                            title: "Lỗi cập nhật",
                            text: data,
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
            } else {
                swal({
                            title: "Lỗi",
                            text: "Không lấy được dữ liệu",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
            }
        });
    });
</script>
